import { declare } from '@babel/helper-plugin-utils';
const BabelPluginEventOnChassExtend = declare((babel, { staticCallbackName = 'onExtend' }) => {
    return {
        name: 'babel-plugin-event-on-class-extend',
        visitor: {
            ClassDeclaration(path) {
                if (path.isClassDeclaration()) {
                    if (path.node.superClass !== null &&
                        path.node.superClass.type === 'Identifier') {
                        const className = path.node.id.name;
                        const superClass = path.node.superClass.name;
                        path.insertAfter(babel.types.expressionStatement(babel.types.optionalCallExpression(babel.types.optionalMemberExpression(babel.types.identifier(superClass), babel.types.identifier(staticCallbackName), false, true), [babel.types.identifier(className)], true)));
                    }
                }
            },
        },
    };
});
export default BabelPluginEventOnChassExtend;
//# sourceMappingURL=index.js.map